News Archives - April 2009

Poll
Posted by kach on April 23, AD 2009 @ 11:25 PM
It's definitely time for a new poll.

Caesar IV is now almost three years old and was developed for computers running Windows XP. New computers now come installed with Vista; so, have you experienced problems running Caesar IV under Vista?

If you'd like to see the results of any previous polls, look here.